{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% block component_part %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        'content_heading': 'Beitrag hinzufügen',
        'full_width': true
    }%}

        {% block content %}

            <form name="newEntryForUserStory" action="{{ path('DemosPlan_forum_development_userstory_threadentry_new',{"storyId": templateVars.story.ident}) }}" method="post" enctype="multipart/form-data">
                <input type="hidden" name="r_threadId" value = {{ templateVars.story.threadId }}>

                {{ uiComponent('form.row', {
                    elements: [
                        {
                            label: { text: 'thread.your'|trans },
                            control: { value: '' },
                            type: 'editor',
                            id: 'r_text',
                            hiddenInput: 'r_text'
                        }
                    ]
                })}}

                {{  fileupload(
                        "r_files",
                        "document.attach"|trans,
                        "pdf-img",
                        "form.button.upload.files",
                        10
                    )
                }}

                <div class="text-right space-inline-s">
                    <input class="btn btn--primary" type="submit" name="saveNewEntryForUserStory" value="{{ "publish"|trans }}">
                    <a class="btn btn--secondary" href="{{ path('DemosPlan_forum_development_userstory_detail', {"storyId": templateVars.story.ident}) }}">
                        {{ "abort"|trans }}
                    </a>
                </div>
            </form>

        {% endblock content %}

    {% endembed %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['forum-forumDevelopmentReleaseStoryThreadentryNew.js']) }}
{% endblock javascripts %}
